Package org.eclipse.rdf4j.spring.resultcache

## Class ResultCacheProperties

- java.lang.Object
- - org.eclipse.rdf4j.spring.resultcache.ResultCacheProperties

-     @ConfigurationProperties(prefix="rdf4j.spring.resultcache")
      @Validated
      public class ResultCacheProperties
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResultCacheProperties()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Duration` | `getEntryLifetime()` |
    `int` | `getInitialSize()` |
    `int` | `getMaxSize()` |
    `boolean` | `isAssumeNoOtherRepositoryClients()` |
    `boolean` | `isEnabled()` |
    `void` | `setAssumeNoOtherRepositoryClients​(boolean assumeNoOtherRepositoryClients)` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setEntryLifetime​(Duration entryLifetime)` |
    `void` | `setInitialSize​(int initialSize)` |
    `void` | `setMaxSize​(int maxSize)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultCacheProperties

          public ResultCacheProperties()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### getInitialSize

          public int getInitialSize()

    - #### setInitialSize

          public void setInitialSize​(int initialSize)

    - #### getMaxSize

          public int getMaxSize()

    - #### setMaxSize

          public void setMaxSize​(int maxSize)

    - #### isAssumeNoOtherRepositoryClients

          public boolean isAssumeNoOtherRepositoryClients()

    - #### setAssumeNoOtherRepositoryClients

          public void setAssumeNoOtherRepositoryClients​(boolean assumeNoOtherRepositoryClients)

    - #### getEntryLifetime

          public Duration getEntryLifetime()

    - #### setEntryLifetime

          public void setEntryLifetime​(Duration entryLifetime)